import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { RouterModule } from '@angular/router';

import { JhipstercellarSharedModule } from '../../shared';
import {
    BottleService,
    BottlePopupService,
    BottleComponent,
    BottleDetailComponent,
    BottleDialogComponent,
    BottlePopupComponent,
    BottleDeletePopupComponent,
    BottleDeleteDialogComponent,
    bottleRoute,
    bottlePopupRoute,
} from './';

const ENTITY_STATES = [
    ...bottleRoute,
    ...bottlePopupRoute,
];

@NgModule({
    imports: [
        JhipstercellarSharedModule,
        RouterModule.forRoot(ENTITY_STATES, { useHash: true })
    ],
    declarations: [
        BottleComponent,
        BottleDetailComponent,
        BottleDialogComponent,
        BottleDeleteDialogComponent,
        BottlePopupComponent,
        BottleDeletePopupComponent,
    ],
    entryComponents: [
        BottleComponent,
        BottleDialogComponent,
        BottlePopupComponent,
        BottleDeleteDialogComponent,
        BottleDeletePopupComponent,
    ],
    providers: [
        BottleService,
        BottlePopupService,
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class JhipstercellarBottleModule {}
