import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { RouterModule } from '@angular/router';

import { JhipstercellarSharedModule } from '../../shared';
import {
    RackService,
    RackPopupService,
    RackComponent,
    RackDetailComponent,
    RackDialogComponent,
    RackPopupComponent,
    RackDeletePopupComponent,
    RackDeleteDialogComponent,
    rackRoute,
    rackPopupRoute,
} from './';

const ENTITY_STATES = [
    ...rackRoute,
    ...rackPopupRoute,
];

@NgModule({
    imports: [
        JhipstercellarSharedModule,
        RouterModule.forRoot(ENTITY_STATES, { useHash: true })
    ],
    declarations: [
        RackComponent,
        RackDetailComponent,
        RackDialogComponent,
        RackDeleteDialogComponent,
        RackPopupComponent,
        RackDeletePopupComponent,
    ],
    entryComponents: [
        RackComponent,
        RackDialogComponent,
        RackPopupComponent,
        RackDeleteDialogComponent,
        RackDeletePopupComponent,
    ],
    providers: [
        RackService,
        RackPopupService,
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class JhipstercellarRackModule {}
